Docs

Trigger a Release

This page documents the API endpoint to Trigger a Release

PUT
/cc-ui/v1/clusters/{clusterId}/deployments/release
AuthorizationBasic <token>

In: header

Path Parameters

clusterId*string

clusterId

Query Parameters

forceRelease?boolean
Defaultfalse
withRefresh?boolean
Defaulttrue

Response Body

application/json

application/json

application/json

text/plain

text/plain

curl -X PUT "https://facetsdemo.console.facets.cloud/cc-ui/v1/clusters/string/deployments/release"
"{\n  \"appDeployments\": [\n    {\n      \"appName\": \"string\",\n      \"artifact\": {\n        \"applicationName\": \"string\",\n        \"artifactUri\": \"string\",\n        \"artifactory\": \"string\",\n        \"buildDescription\": \"string\",\n        \"buildId\": \"string\",\n        \"clusterId\": \"string\",\n        \"createdBy\": \"string\",\n        \"createdOn\": \"2022-06-27T10:56:00.265Z\",\n        \"creationDate\": \"2022-06-27T10:56:00.265Z\",\n        \"id\": \"string\",\n        \"lastModifiedBy\": \"string\",\n        \"lastModifiedDate\": \"2022-06-27T10:56:00.265Z\",\n        \"numberOfVersions\": 0,\n        \"promoted\": true,\n        \"releaseStream\": \"QA\",\n        \"releaseType\": \"HOTFIX\",\n        \"versioningKey\": \"string\"\n      }\n    }\n  ],\n  \"changesApplied\": [\n    {\n      \"resourceKey\": \"string\",\n      \"resourcePath\": \"string\",\n      \"type\": \"Destruction\"\n    }\n  ],\n  \"codebuildId\": \"string\",\n  \"createdOn\": \"2022-06-27T10:56:00.265Z\",\n  \"deploymentContextVersion\": \"string\",\n  \"deploymentJobType\": \"CODEBUILD\",\n  \"deploymentType\": \"REGULAR\",\n  \"description\": \"string\",\n  \"destroy\": true,\n  \"errorLogs\": [\n    \"string\"\n  ],\n  \"finishedOn\": \"2022-06-27T10:56:00.265Z\",\n  \"id\": \"string\",\n  \"integrationTest\": true,\n  \"overrideBuildSteps\": [\n    \"string\"\n  ],\n  \"releaseType\": \"HOTFIX\",\n  \"signedOff\": true,\n  \"stackVersion\": \"string\",\n  \"status\": \"SUCCEEDED\",\n  \"tfVersion\": \"string\",\n  \"triggeredBy\": \"string\",\n  \"withRefresh\": true\n}"
"{\n  Created\n}"
"{\nUnauthorized\n}"
""
""